namespace AirplaneWithRadar
{
    public partial class FormAirplane : Form
    {
        private DrawingAirplane _airplane;
        public FormAirplane()
        {
            InitializeComponent();
        }
        private void Draw()
        {
            Bitmap bmp = new(pictureBoxAirplane.Width, pictureBoxAirplane.Height);
            Graphics gr = Graphics.FromImage(bmp);
            _airplane?.DrawTransport(gr);
            pictureBoxAirplane.Image = bmp;
        }
        private void ButtonCreate_Click(object sender, EventArgs e)
        {
            Random rnd = new();
            _airplane = new DrawingAirplane();
            _airplane.Init(rnd.Next(100, 300), rnd.Next(1000, 2000), Color.FromArgb(rnd.Next(0, 256), rnd.Next(0, 256), rnd.Next(0, 256)));
            _airplane.SetPosition(rnd.Next(10, 100), rnd.Next(10, 100), pictureBoxAirplane.Width, pictureBoxAirplane.Height);
            toolStripStatusLabelSpeed.Text = $": {_airplane.Airplane.Speed}";
            toolStripStatusLabelWeight.Text = $": {_airplane.Airplane.Weight}";
            toolStripStatusLabelBodyColor.Text = $": {_airplane.Airplane.BodyColor.Name}";
            Draw();
        }
        private void ButtonMove_Click(object sender, EventArgs e)
        {
            //  
            string name = ((Button)sender)?.Name ?? string.Empty;
            switch (name)
            {
                case "buttonUp":
                    _airplane?.MoveTransport(Direction.Up);
                    break;
                case "buttonDown":
                    _airplane?.MoveTransport(Direction.Down);
                    break;
                case "buttonLeft":
                    _airplane?.MoveTransport(Direction.Left);
                    break;
                case "buttonRight":
                    _airplane?.MoveTransport(Direction.Right);
                    break;
            }
            Draw();
        }
        private void PictureBoxAirplane_Resize(object sender, EventArgs e)
        {
            _airplane?.ChangeBorders(pictureBoxAirplane.Width, pictureBoxAirplane.Height);
            Draw();
        }
    }
}